Name:          libxmlb
Version:       0.3.9
Release:       1mamba
Summary:       A library to help create and query binary XML blobs
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/hughsie/libxmlb
Source:        https://github.com/hughsie/libxmlb.git/%{version}/libxmlb-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: liblzma-devel
## AUTOBUILDREQ-END

%description
A library to help create and query binary XML blobs.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Tools provided with %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains the tools provided with %{name}.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libxmlb.so.*
%{_libdir}/girepository-1.0/Xmlb-2.0.typelib
%dir %{_libexecdir}/installed-tests/libxmlb
%{_libexecdir}/installed-tests/libxmlb/test.xml.gz.gz.gz
%{_libexecdir}/installed-tests/libxmlb/xb-self-test
#%{_libexecdir}/xb-tool
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libxmlb-2
%dir %{_includedir}/libxmlb-2/libxmlb
%{_includedir}/libxmlb-2/libxmlb/*.h
%{_includedir}/libxmlb-2/xmlb.h
%{_libdir}/libxmlb.so
%{_libdir}/pkgconfig/xmlb.pc
%{_datadir}/gir-1.0/Xmlb-2.0.gir
%dir %{_datadir}/gtk-doc/html/libxmlb
%{_datadir}/gtk-doc/html/libxmlb/*
%dir %{_datadir}/installed-tests/libxmlb
%{_datadir}/installed-tests/libxmlb/*
#%doc NEWS README.md

%files tools
%defattr(-,root,root)
%{_bindir}/xb-tool
%{_mandir}/man1/xb-tool.1*

%changelog
* Thu May 26 2022 Automatic Build System <autodist@mambasoft.it> 0.3.9-1mamba
- automatic version update by autodist

* Sat Apr 02 2022 Automatic Build System <autodist@mambasoft.it> 0.3.8-1mamba
- automatic version update by autodist

* Fri Feb 18 2022 Automatic Build System <autodist@mambasoft.it> 0.3.7-1mamba
- automatic version update by autodist

* Tue Dec 07 2021 Automatic Build System <autodist@mambasoft.it> 0.3.6-1mamba
- automatic version update by autodist

* Fri Dec 03 2021 Automatic Build System <autodist@mambasoft.it> 0.3.5-1mamba
- automatic version update by autodist

* Wed Dec 01 2021 Automatic Build System <autodist@mambasoft.it> 0.3.4-1mamba
- automatic version update by autodist

* Fri Oct 08 2021 Automatic Build System <autodist@mambasoft.it> 0.3.3-1mamba
- automatic version update by autodist

* Wed May 26 2021 Automatic Build System <autodist@mambasoft.it> 0.3.2-1mamba
- automatic version update by autodist

* Fri May 07 2021 Automatic Build System <autodist@mambasoft.it> 0.3.1-1mamba
- automatic version update by autodist

* Sat Mar 13 2021 Automatic Build System <autodist@mambasoft.it> 0.3.0-1mamba
- automatic version update by autodist

* Mon Sep 14 2020 Automatic Build System <autodist@mambasoft.it> 0.2.1-1mamba
- automatic version update by autodist

* Sun Aug 23 2020 Automatic Build System <autodist@mambasoft.it> 0.2.0-1mamba
- automatic version update by autodist

* Wed Apr 08 2020 Automatic Build System <autodist@mambasoft.it> 0.1.15-1mamba
- automatic version update by autodist

* Sun Dec 15 2019 Automatic Build System <autodist@mambasoft.it> 0.1.14-1mamba
- automatic version update by autodist

* Sat Oct 19 2019 Automatic Build System <autodist@mambasoft.it> 0.1.13-1mamba
- automatic version update by autodist

* Fri Oct 04 2019 Automatic Build System <autodist@mambasoft.it> 0.1.12-1mamba
- automatic version update by autodist

* Sat Jul 27 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.11-1mamba
- package created using the webbuild interface
